ftar(8)

NAME
ftar - extract tar files using classes

SYNOPSIS
ftar [options] SOURCE

DESCRIPTION
Extract an archive from SOURCE to its target directory using classes. SOURCE is a directory which contains one or more template files for the source archive to extract. Depending on the list of defined classes, one or more archives of the source directory are selected and extracted to the target. The base target directory is the name of the source directory. Template files must have suffix .tar, .tgz, .tar.gz, .tar.xz, .txz, .tbz2 or .tar.bz2 depending on the type of archive. The exit code returned by ftar is mostly 0. For every successfully extracted tar file, a log message is printed to standard output.

OPTIONS

Options -c, -s, -t (or their analog variables) and a SOURCE are required.

-1  Use only one archive file matching a class name.

-c class[class]
    Define classes. Multiple classes must be space separated. The first class has the lowest priority. If not specified, use the classes from the file /tmp/FAI_CLASES.

-d  Delete all files in target directory before extracting the archive(s).

-D  Create debugging output.

-h  Show help, version and summary of options.

-i  Ignore warnings about no matching class and always exit with 0.

-r  Recursively remove files in target directory before extracting archive.

-s source_dir
    Look for SOURCE files relative to source_dir. Use $FAI/files if not specified.

-t target_dir
    Extract archives relative to target_dir. Use $FAI_ROOT if not specified.

-v  Be verbose. Not yet used.

EXAMPLES
Suppose the source directory /files/usr/local consists of the following files: DATALESS.tar.gz ant01.tar.bz2 Each file is a compressed archive. If only class DATALESS is defined, the following command
   # ftar -s /files -t /target /usr/local is equal to
   # tar -C /target/usr/local -zxf /files/usr/local/DATALESS.tar.gz If additionally class ant01 is defined, the following command is also executed
   # tar -C /target/usr/local -jxf /files/usr/local/ant01.tar.bz2 If only one archive should be extracted, the class with highest priority is used.

NOTES
Do not create a file DEFAULT if no reasonable default configuration file can be used. It's better to exit with an error than to extract a wrong archive. This command can also be used to maintain your complete directory trees on a huge number of hosts.

SEE ALSO
fcopy(8)
This program is part of FAI (Fully Automatic Installation). See the FAI manual for more information on how to use ftar. The FAI homepage is https://fai-project.org.

AUTHOR
Thomas Lange <lange@informatik.uni-koeln.de>